
CoCoALib - Support #739

Move code in examples into namespace CoCoA

25 Jun 2015 15:32 - John Abbott

Status: Closed Start date: 25 Jun 2015

Priority: Immediate Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 5.00 hours

Target version: CoCoALib-0.99536 June 2015 Spent time: 5.10 hours

Description

Following the change made to test files; move all code (except main) into namespace CoCoA.

This should keep the code correct even for future versions of C++.

Related issues:

Related to CoCoALib - Design #642: Move code in test file into namespace CoCoA Closed 29 Oct 2014

History

#1 - 25 Jun 2015 18:40 - John Abbott

- % Done changed from 0 to 10

JAA has done ex-[A-D]

JAA has done ex-[E-M]

#2 - 30 Jun 2015 10:53 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 10 to 90

- Estimated time set to 5.00 h

I believe it is all done:  there was a problem using program() instead of CoCoA::program() with John compiler, it should be fixed now.

#3 - 01 Jul 2015 18:38 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

JAA checked, fixed a few oversights.  Otherwise seems fine now.  Closing.
